# docker mcp

<!---MARKER_GEN_START-->
Manage MCP servers and clients

### Subcommands

| Name                        | Description                   |
|:----------------------------|:------------------------------|
| [`catalog`](mcp_catalog.md) | Manage MCP server catalogs    |
| [`client`](mcp_client.md)   | Manage MCP clients            |
| [`config`](mcp_config.md)   | Manage the configuration      |
| [`feature`](mcp_feature.md) | Manage experimental features  |
| [`gateway`](mcp_gateway.md) | Manage the MCP Server gateway |
| [`policy`](mcp_policy.md)   | Manage secret policies        |
| [`secret`](mcp_secret.md)   | Manage secrets                |
| [`server`](mcp_server.md)   | Manage servers                |
| [`tools`](mcp_tools.md)     | Manage tools                  |
| [`version`](mcp_version.md) | Show the version information  |


### Options

| Name              | Type   | Default | Description                        |
|:------------------|:-------|:--------|:-----------------------------------|
| `-v`, `--version` | `bool` |         | Print version information and quit |


<!---MARKER_GEN_END-->

## Description

The MCP Gateway is Docker's open-source enterprise solution for orchestrating
Model Context Protocol (MCP) servers and clients.

For more information see [Docker MCP](https://docs.docker.com/ai/mcp-gateway/) and
the public [GitHub repository](https://github.com/docker/mcp-gateway).
